package j2d;

import java.awt.*;

/**
 * A toolkit of useful image processing methods. Declared as final, since
 * all methods are static.
 */
public class MinMax2D {
    int minX = Integer.MAX_VALUE;
    int minY = Integer.MAX_VALUE;
    int maxX = Integer.MIN_VALUE;
    int maxY = Integer.MIN_VALUE;

    /**
     *
     * @return  size + 1 of area
     */
    public Dimension getSize(){
        return new Dimension (maxY - minY + 1, maxX - minX + 1);
    }
    public String toString() {
        return "minX=" + minX +
                "\nmaxX=" + maxX +
                "\nminY=" + minY +
                "\nmaxY=" + maxY;
    }
}
